org.apache.ignite.internal.visor.node

## Class VisorSegmentationConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorSegmentationConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorSegmentationConfiguration
    extends Object
    implements Serializable

Data transfer object for node segmentation configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorSegmentationConfiguration()`

### Method Summary

Methods
`long` `checkFrequency()`
`void` `checkFrequency(long checkFreq)`
`static VisorSegmentationConfiguration` `from(IgniteConfiguration c)`
`boolean` `passRequired()`
`void` `passRequired(boolean passRequired)`
`GridSegmentationPolicy` `policy()`
`void` `policy(GridSegmentationPolicy plc)`
`String` `resolvers()`
`void` `resolvers(String resolvers)`
`String` `toString()`
`boolean` `waitOnStart()`
`void` `waitOnStart(boolean waitOnStart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSegmentationConfiguration

    public VisorSegmentationConfiguration()

### Method Detail

#### from

    public static VisorSegmentationConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node segmentation configuration properties.

#### policy

    public GridSegmentationPolicy policy()

Returns:
  Segmentation policy.

#### policy

    public void policy(GridSegmentationPolicy plc)

Parameters:
  `plc` - New segmentation policy.

#### resolvers

    @Nullable
    public String resolvers()

Returns:
  Segmentation resolvers.

#### resolvers

    public void resolvers(@Nullable
                 String resolvers)

Parameters:
  `resolvers` - New segmentation resolvers.

#### checkFrequency

    public long checkFrequency()

Returns:
  Frequency of network segment check by discovery manager.

#### checkFrequency

    public void checkFrequency(long checkFreq)

Parameters:
  `checkFreq` - New frequency of network segment check by discovery manager.

#### waitOnStart

    public boolean waitOnStart()

Returns:
  Whether or not node should wait for correct segment on start.

#### waitOnStart

    public void waitOnStart(boolean waitOnStart)

Parameters:
  `waitOnStart` - New whether or not node should wait for correct segment on start.

#### passRequired

    public boolean passRequired()

Returns:
  Whether or not all resolvers should succeed for node to be in correct segment.

#### passRequired

    public void passRequired(boolean passRequired)

Parameters:
  `passRequired` - New whether or not all resolvers should succeed for node to be in correct segment.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015